import type { _NSActionCell } from "./NSActionCell.js";
import type { _NSColor } from "./NSColor.js";
import type { _NSDatePickerCellDelegate } from "./NSDatePickerCellDelegate.js";
import type { _NSCalendar } from "../Foundation/NSCalendar.js";
import type { _NSCoder } from "../Foundation/NSCoder.js";
import type { _NSDate } from "../Foundation/NSDate.js";
import type { _NSLocale } from "../Foundation/NSLocale.js";
import type { _NSString } from "../Foundation/NSString.js";
import type { _NSTimeZone } from "../Foundation/NSTimeZone.js";
import type { NSDatePickerElementFlags } from "./NSDatePickerElementFlags.js";
import type { NSDatePickerMode } from "./NSDatePickerMode.js";
import type { NSDatePickerStyle } from "./NSDatePickerStyle.js";
export declare class _NSDatePickerCell extends _NSActionCell {
    static alloc(): _NSDatePickerCell;
    static new(): _NSDatePickerCell;
    init(): _NSDatePickerCell;
    initTextCell$(string_: _NSString): _NSDatePickerCell;
    initWithCoder$(coder: _NSCoder): _NSDatePickerCell;
    datePickerStyle(): NSDatePickerStyle;
    setDatePickerStyle$(value: NSDatePickerStyle): void;
    drawsBackground(): boolean;
    setDrawsBackground$(value: boolean): void;
    backgroundColor(): _NSColor;
    setBackgroundColor$(value: _NSColor): void;
    textColor(): _NSColor;
    setTextColor$(value: _NSColor): void;
    datePickerMode(): NSDatePickerMode;
    setDatePickerMode$(value: NSDatePickerMode): void;
    datePickerElements(): NSDatePickerElementFlags;
    setDatePickerElements$(value: NSDatePickerElementFlags): void;
    calendar(): _NSCalendar | null;
    setCalendar$(value: _NSCalendar | null): void;
    locale(): _NSLocale | null;
    setLocale$(value: _NSLocale | null): void;
    timeZone(): _NSTimeZone | null;
    setTimeZone$(value: _NSTimeZone | null): void;
    dateValue(): _NSDate;
    setDateValue$(value: _NSDate): void;
    timeInterval(): number;
    setTimeInterval$(value: number): void;
    minDate(): _NSDate | null;
    setMinDate$(value: _NSDate | null): void;
    maxDate(): _NSDate | null;
    setMaxDate$(value: _NSDate | null): void;
    delegate(): _NSDatePickerCellDelegate | null;
    setDelegate$(value: _NSDatePickerCellDelegate | null): void;
}
